Retrieve ATS job postings

Use this endpoint to retrieve job postings by specifying the job board ID or job ID. It provides detailed postings with job details, publication status, and relevant metadata. Token scopes: ats:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

job_board_idstringOptionalformat: "uuid"

Job board to list postings from (UUID).

job_idstringOptionalformat: "uuid"

When set, only postings for this job are returned (UUID).

cursorstringOptional<=1000 characters

Opaque cursor for pagination. Use the value from next_cursor of the previous response to fetch the next page.

limitintegerOptional1-100

Maximum number of job postings to return per page (min: 1, max: 100).

Response

Successful operation. Returns job postings for the requested job board (and optional job filter), with nested job details and publication state per board.

datalist of objects

Job postings returned for this request (single page; pagination not yet implemented).

has_moreboolean

Whether additional pages exist; currently always false for this endpoint.

next_cursorstring or null<=1000 characters

Opaque cursor for the next page; currently always null until pagination is implemented.

total_countinteger>=0

Number of job postings included in data for this response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error